apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: {{ include "fullname" (list . .Values.name) }}
specs:
  - description: "Allow connection to DatabaseMirror"
    endpointSelector:
      matchLabels:
        {{- include "selectorLabels" (list . .Values.name) | nindent 8 }}
    egress:
      - toFQDNs:
          - matchName: {{ .Values.clamav.databaseMirror.host | quote }}
        toPorts:
        - ports:
          - port: {{ .Values.clamav.databaseMirror.port | quote }}
            protocol: TCP

  - description: "allow connection to example-application"
    endpointSelector:
      matchLabels:
      {{- include "selectorLabels" (list . .Values.name) | nindent 8 }}
    ingress:
      - fromEndpoints:
          - matchLabels:
              k8s:io.kubernetes.pod.namespace: ingress-nginx
